%define upstream_name    Net-Packet-Target
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An object for all network related stuff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Packet)
BuildArch: noarch

%description
A *Net::Packet::Target* object can be used to describe one target, or
multiple targets. They are mainly used when you use some automated tasks
you which to use on a range of IPs/ports.

To describe multiple targets, you simply enter an IP range, or a port
range, or the two. To describe a single target, you enter one IP address,
and one port. You can also avoid totally ports, or avoid totally IPs, you
do what you want.

It also handles IP name resolution for IPv4 and IPv6, if available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Thu Dec 29 2011 guillomovitch <guillomovitch> 1.10.0-1.mga2
+ Revision: 188646
- imported package perl-Net-Packet-Target


* Thu Dec 29 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
